Subject: Re: bug#79369: seq generates wrong sequences for big numbers

From: Collin Funk <[email-masked]>
Date: Tue, 02 Sep 2025 21:19:42 -0700

Pádraig Brady <[email-masked]> writes:

>> We can improve for the above 2 cases anyway,
>> with something like the attached.
>> Large magnitude negative start values are still problematic.
>
> Ok I pushed that with a test included:https://github.com/coreutils/coreutils/commit/701416709
> Marking this as done.

Thanks for the fix.

Just pushed this tiny patch to fix a 'make syntax-check' failure.

Collin

>From 8f6430666f38de8950c328ece66a5b5e9ebaaee4 Mon Sep 17 00:00:00 2001
Message-ID: <8f64[email-masked]>
From: Collin Funk <[email-masked]>
Date: Tue, 2 Sep 2025 21:13:02 -0700
Subject: [PATCH] maint: avoid syntax-check failure from previous commit

* tests/seq/seq-long-double.sh: Place comma after "I.e.".
---
 tests/seq/seq-long-double.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/tests/seq/seq-long-double.sh b/tests/seq/seq-long-double.sh
index eaf812d3b..356ee6e3a 100755
--- a/tests/seq/seq-long-double.sh
+++ b/tests/seq/seq-long-double.sh
@@ -44,7 +44,7 @@ printf "$a\n$b\n" > exp || framework_failure_
 compare exp out || fail=1
 
 # Test case fixed in v9.8
-# I.e. All digit start, with non digits end
+# I.e., All digit start, with non digits end
 a=18446744073709551617
 seq $a inf | head -n1 > out || fail=1
 printf "$a\n" > exp || framework_failure_
-- 
2.51.0